Bug 818438 - Whitespace in remote connection hostname field is not trimmed
Whitespace in remote connection hostname field is not trimmed
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 01:52 EDT by Christian Kalkhoff
Modified: 2014-07-06 15:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-01 14:20:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Kalkhoff 2012-05-03 01:52:25 EDT
If whitespace is entered at the end of the new remote connections' hostname field, any subsequent connection attempt fails with parse errors due a white space in the resulting qemu connection string.


Version-Release number of selected component (if applicable): 0.9.0


How reproducible: Everytime


Steps to Reproduce:
1. Enter "Add Connection"-Wizard
2. Select "Connect to remote host"
3. Enter some valid host name followed by a whitespace
4. Connect
  
Actual results:
I get a parse error.


Expected results:
I expect to be connected to the host, leading and trailing whitespace should be trimmed.


Additional info:
Might affect other input fields too, didn't examine.
Comment 4 RHEL Product and Program Management 2012-07-10 04:43:49 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 21:56:53 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Note You need to log in before you can comment on or make changes to this bug.